## ptex-base 2.5

=== doc/jbibtex/doc-ascii/Makefile ===
BSTFILE = jabbrv.bst jalpha.bst jipsj.bst jname.bst \
	  jorsj.bst jplain.bst junsrt.bst tieice.bst tipsj.bst

all:		bst

bst:		generate.sh jbtxbst.doc
		generate.sh

clean:
		$(RM) $(BSTFILE)

=== debian/changelog ===
ptex-base (1:2.5-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 15:15:54 +0200

ptex-base (1:2.5-3) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #836478)
  * Drop alternate tetex-* dependencies.  (Closes: #601349, #601485)

  [ Logan Rosen ]
  * debian/compat: Bump to 9.  (Closes: #817632)
  * debian/control: Build-depend on debhelper (>= 9).
  * debian/rules:
    - Use dh_prep instead of dh_clean -k.
    - Add recommended build-arch and build-indep targets.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 09 Dec 2016 20:58:42 +0100

ptex-base (1:2.5-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "jbibtex-base: unowned file /usr/local/share/texmf/ls-R after
    purge (policy 6.8, 9.1.2)": use dh_installtex in debian/rules, add
    build-dependency on tex-common, add ${misc:Depends} to binary packages;
    drop maintainer scripts.
    (Closes: #669381)

 -- gregor herrmann <gregoa@debian.org>  Fri, 03 Aug 2012 15:00:53 +0200

ptex-base (1:2.5-2) unstable; urgency=low

  * Bumped to Standards-Version: 3.7.3.
  * Fixed various lintian warnings.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sat, 08 Dec 2007 09:08:53 +0900

ptex-base (1:2.5-1) unstable; urgency=low

  * New upstream release.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Wed, 05 Dec 2007 01:11:31 +0900

ptex-base (1:2.5~beta6-1) unstable; urgency=low

  * New upstream release.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Tue, 01 May 2007 20:42:15 +0900

ptex-base (1:2.5~beta5-1) unstable; urgency=low

  * New upstream release
  * Acknowledged NMU - closes: #391200, #391209
  * Support TeXLive - closes: #357196

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun, 15 Oct 2006 08:52:25 +0900

ptex-base (1:2.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * postrm no longer calls mktexlsr if not present when purging.
  (Closes: #391209)
  * debian/control
    + Fixed Build-Depends-Indep: debhelper to Build-Depends.
    + Set Standards-VErsion to 3.7.2.

 -- Arnaud Hocevar <arnaud@hocevar.net>  Sat,  7 Oct 2006 17:11:25 +0000

ptex-base (1:2.4-1) unstable; urgency=low

  * Works done at Codefest in Malaysia 2006.
  * New upstream release - closes: #354567.
  * Acknowledged NMU, thanks Luk - closes: #341001
  * Don't install confusing *.txt in /usr/share/texmf - closes: #349538
  * Bumped to Standards-Version: 3.6.2.2 (no physical changes).

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sat,  4 Mar 2006 12:39:42 +0900

ptex-base (1:2.3-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Remove trailing slash in mv commands (Closes: #341001).

 -- Luk Claes <luk@debian.org>  Sat, 31 Dec 2005 16:04:56 +0100

ptex-base (1:2.3-1) unstable; urgency=low

  * New upstream release.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sat, 12 Mar 2005 04:40:20 +0900

ptex-base (1:2.1-2) unstable; urgency=low

  * [control] changed Maintainer field.
  * Bumped to Standards-Version: 3.6.1.
  * Removed watch.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sat, 14 Feb 2004 17:20:53 +0900

ptex-base (1:2.1-1) unstable; urgency=low

  * New upstream release.
  * Bumped to Standards-Version: 3.5.8.

 -- Masayuki Hatta <mhatta@debian.org>  Sat,  8 Mar 2003 02:23:09 +0900

ptex-base (1:2.0-4) unstable; urgency=low

  * Updated to Standards-Version: 3.5.6.

 -- Masayuki Hatta <mhatta@debian.org>  Sat, 31 Aug 2002 16:28:45 +0900

ptex-base (1:2.0-3) unstable; urgency=low

  * Reverted changes of 1:2.0-2.

 -- Masayuki Hatta <mhatta@debian.org>  Wed, 10 Apr 2002 22:22:43 +0900

ptex-base (1:2.0-2) unstable; urgency=low

  * Install JBibTeX files under the original BibTeX tree.

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 10 Feb 2002 18:46:30 +0900

ptex-base (1:2.0-1) unstable; urgency=low

  * The "At Last I Am Free" release.
  * New upstream release.
  * The license has been changed to a modified BSD.  Now pTeX is DFSG-free!
  * Also Mr. Matsui (the JBibTeX upstream) approved of changing his license 
    to the new ASCII's.

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 17 Jan 2002 22:47:42 +0900

ptex-base (1:1.10+20010904-2) unstable; urgency=low

  * Added amsptex support.

 -- Masayuki Hatta <mhatta@debian.org>  Mon,  8 Oct 2001 10:38:17 +0900

ptex-base (1:1.10+20010904-1) unstable; urgency=low

  * New upstream release (beta). - closes: #114041
  * Build-Depends -> Build-Depends-Indep. - closes: #114040
  * Seems the upstream changed their license to Modified BSD, so hopefully
  this package will go to main soon.

 -- Masayuki Hatta <mhatta@debian.org>  Thu,  4 Oct 2001 10:12:10 +0900

ptex-base (1:1.10-2) unstable; urgency=low

  * Now contains *.tfm & *.vf.

 -- Masayuki Hatta <mhatta@debian.org>  Sun,  8 Jul 2001 11:16:48 +0900

ptex-base (1:1.10-1) unstable; urgency=low

  * New upstream release.

 -- Masayuki Hatta <mhatta@debian.org>  Sat, 12 May 2001 15:47:33 +0900

ptex-base (1:1.9-4) unstable; urgency=low

  * The "Ain't That Good News" release.
  * Initial release for Debian Project. - closes: #94839

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 22 Apr 2001 20:51:32 +0900

ptex-base (1:1.9-3) unstable; urgency=low

  * Move /usr/share/texmf/doc/* -> /usr/share/doc/texmf/*.

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 15 Apr 2001 11:07:59 +0900

ptex-base (1:1.9-2) unstable; urgency=low

  * Modified copyright.*.

 -- Masayuki Hatta <mhatta@debian.org>  Sun,  8 Apr 2001 13:37:00 +0900

ptex-base (1:1.9-1) unstable; urgency=low

  * New maintainer: Masayuki Hatta <mhatta@debian.org>.

 -- Masayuki Hatta <mhatta@debian.org>  Sun,  8 Apr 2001 00:36:38 +0900

ptex-base (1:1.9-0.1) unstable; urgency=low

  * NMU.
  * New upstream release.
  * Re-packaged.

 -- Masayuki Hatta <mhatta@debian.org>  Thu,  5 Apr 2001 09:26:32 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: ptex-base
Section: tex
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), tex-common
Standards-Version: 3.7.3

Package: ptex-base
Architecture: all
Depends: texlive-base, texlive-base-bin, ${misc:Depends}
Suggests: ptex-bin
Conflicts: platex-base
Description: basic ASCII pTeX library files
 ASCII pTeX is a Japanized TeX distribution.                                 
 .                                                                         
 Together with ptex-bin you have a complete installation.                
 .                                                                     
 Includes: platex

Package: jbibtex-base
Architecture: all
Depends: texlive-base, texlive-base-bin, ${misc:Depends}
Suggests: jbibtex-bin
Description: make a bibliography for ASCII p(La)TeX / NTT j(La)TeX
 This is JBibTeX, a Japanized BibTeX based on the original BibTeX 0.99c.
 JBibTeX can handle Kanji characters (EUC-JP).
 .
 This package contains library files for JBibTeX.  You need to install 
 jbibtex-bin to use JBibTeX.
 .
 This is a part of ASCII pTeX distribution,  but you can use this 
 program not only with ASCII p(La)TeX but also with NTT j(La)TeX.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Modified by Masayuki Hatta <mhatta@debian.org> for ptex-base.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

####################
# Things you should change when new upstream version is available.

# pTeX tarball
PTEX_TEXMF_TARBALL=ptex-texmf-2.5.tar.gz

####################

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.


	touch configure-stamp

build: build-arch build-indep
build-arch: configure-stamp build-stamp
build-indep: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/ptex-base.
	tar xfz $(PTEX_TEXMF_TARBALL) -C $(CURDIR)/debian/ptex-base/usr/share
	mv $(CURDIR)/debian/ptex-base/usr/share/ptex-texmf $(CURDIR)/debian/ptex-base/usr/share/texmf

	# Install amsptex.ini and ptex-ams.tex.
	install -m 644 $(CURDIR)/debian/amsptex.ini $(CURDIR)/debian/ptex-base/usr/share/texmf/ptex/plain/config
	install -m 644 $(CURDIR)/debian/ptex-ams.tex $(CURDIR)/debian/ptex-base/usr/share/texmf/ptex/plain/base

	# Separate jbibtex-base.
	dh_movefiles --source=debian/ptex-base

	# Move /usr/share/texmf/fonts/*/ptex to /usr/share/texmf/fonts/*/dvips
	mv $(CURDIR)/debian/ptex-base/usr/share/texmf/fonts/tfm/ptex/ \
	  $(CURDIR)/debian/ptex-base/usr/share/texmf/fonts/tfm/dvips
	mv $(CURDIR)/debian/ptex-base/usr/share/texmf/fonts/vf/ptex/ \
	  $(CURDIR)/debian/ptex-base/usr/share/texmf/fonts/vf/dvips

	# Move /usr/share/texmf/doc/* to /usr/share/doc/texmf/*
	mv $(CURDIR)/debian/ptex-base/usr/share/texmf/doc/ptex \
	  $(CURDIR)/debian/ptex-base/usr/share/doc/texmf/ptex
	mv $(CURDIR)/debian/jbibtex-base/usr/share/texmf/doc/jbibtex \
	  $(CURDIR)/debian/jbibtex-base/usr/share/doc/texmf/jbibtex

	# Remove unnecessary files and directories.
	rm -rf $(CURDIR)/debian/ptex-base/usr/share/texmf/jbibtex/
	rm -rf $(CURDIR)/debian/ptex-base/usr/share/texmf/doc
	rm -rf $(CURDIR)/debian/jbibtex-base/usr/share/texmf/doc
	rm -rf $(CURDIR)/debian/ptex-base/usr/share/texmf/ptex/platex/base/.cvsignore
	rm -rf $(CURDIR)/debian/ptex-base/usr/share/texmf/COPYRIGHT*

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
	# Move /usr/share/texmf/*.txt to /usr/share/doc/ptex-base (after that directory created by dh_installdocs)
	mv $(CURDIR)/debian/ptex-base/usr/share/texmf/README.txt \
	  $(CURDIR)/debian/ptex-base/usr/share/doc/ptex-base
#	dh_installexamples -i
#	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installman -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs -i debian/ptex-base/usr/share/texmf/Changes.txt
	# We should remove this at this timing
	rm -rf $(CURDIR)/debian/ptex-base/usr/share/texmf/Changes*
	dh_installtex -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
#	dh_makeshlibs -i 
	dh_installdeb -i
#	dh_perl -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.


binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure
